<?xml version="1.0" encoding="utf-8"?>
<xs:schema xmlns:greencoregroupplc="http://greencoregroupplc.com/xbrl/2024" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:dtr-types="http://www.xbrl.org/dtr/type/2020-01-21" targetNamespace="http://greencoregroupplc.com/xbrl/2024" xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:import schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd" namespace="http://www.xbrl.org/2003/instance" />
  <xs:import schemaLocation="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor.xsd" namespace="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor" />
  <xs:import schemaLocation="http://www.xbrl.org/lrr/arcrole/esma-arcrole-2018-11-21.xsd" namespace="http://www.esma.europa.eu/xbrl/esef/arcrole/wider-narrower" />
  <xs:import schemaLocation="https://www.xbrl.org/dtr/type/2020-01-21/types.xsd" namespace="http://www.xbrl.org/dtr/type/2020-01-21" />
  <xs:import schemaLocation="http://www.xbrl.org/2005/xbrldt-2005.xsd" namespace="http://xbrl.org/2005/xbrldt" />
  <xs:annotation>
    <xs:appinfo>
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="635400GGBEWULJXM5868-2024-09-27_pre.xml" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="635400GGBEWULJXM5868-2024-09-27_def.xml" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="635400GGBEWULJXM5868-2024-09-27_lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="635400GGBEWULJXM5868-2024-09-27_cal.xml" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor-lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor-gen-en.xml" xlink:type="simple" />
      <link:roleType id="NotesAndMandatoryItems" roleURI="http://greencoregroupplc.com/xbrl/2024/roles/NotesAndMandatoryItems">
        <link:definition>01 - Notes and Mandatory Items</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ProfitOrLoss" roleURI="http://greencoregroupplc.com/xbrl/2024/roles/ProfitOrLoss">
        <link:definition>02 - Profit or loss</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementOfComprehensiveIncome" roleURI="http://greencoregroupplc.com/xbrl/2024/roles/StatementOfComprehensiveIncome">
        <link:definition>03 - Statement of comprehensive income</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementOfFinancialPosition" roleURI="http://greencoregroupplc.com/xbrl/2024/roles/StatementOfFinancialPosition">
        <link:definition>04 - Statement of financial position</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementOfCashFlows" roleURI="http://greencoregroupplc.com/xbrl/2024/roles/StatementOfCashFlows">
        <link:definition>05 - Statement of cash flows</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementOfChangesInEquity" roleURI="http://greencoregroupplc.com/xbrl/2024/roles/StatementOfChangesInEquity">
        <link:definition>06 - Statement of changes in equity</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementOfChangesInEquityParenthetical" roleURI="http://greencoregroupplc.com/xbrl/2024/roles/StatementOfChangesInEquityParenthetical">
        <link:definition>07 - Statement of changes in equity (Parenthetical)</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="Anchoring" roleURI="http://greencoregroupplc.com/xbrl/2024/roles/Anchoring">
        <link:definition>99 - Groups all anchored elements</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
    </xs:appinfo>
  </xs:annotation>
  <xs:element id="greencoregroupplc_GroupIncomeStatementAxis" xbrli:periodType="duration" abstract="true" name="GroupIncomeStatementAxis" nillable="true" xmlns:q1="http://xbrl.org/2005/xbrldt" substitutionGroup="q1:dimensionItem" type="xbrli:stringItemType" />
  <xs:element id="greencoregroupplc_PreExceptionalMember" xbrli:periodType="duration" abstract="true" name="PreExceptionalMember" nillable="true" substitutionGroup="xbrli:item" type="dtr-types:domainItemType" />
  <xs:element id="greencoregroupplc_ExceptionalMember" xbrli:periodType="duration" abstract="true" name="ExceptionalMember" nillable="true" substitutionGroup="xbrli:item" type="dtr-types:domainItemType" />
  <xs:element id="greencoregroupplc_TotalMember" xbrli:periodType="duration" abstract="true" name="TotalMember" nillable="true" substitutionGroup="xbrli:item" type="dtr-types:domainItemType" />
  <xs:element id="greencoregroupplc_ProfitOrLossTable" xbrli:periodType="duration" abstract="true" name="ProfitOrLossTable" nillable="true" xmlns:q2="http://xbrl.org/2005/xbrldt" substitutionGroup="q2:hypercubeItem" type="xbrli:stringItemType" />
  <xs:element id="greencoregroupplc_ProfitOrLossLineItems" xbrli:periodType="duration" abstract="true" name="ProfitOrLossLineItems" nillable="true" substitutionGroup="xbrli:item" type="xbrli:stringItemType" />
  <xs:element id="greencoregroupplc_OperatingCostsBeforeAcquisitionRelatedAmortisation" xbrli:balance="debit" xbrli:periodType="duration" name="OperatingCostsBeforeAcquisitionRelatedAmortisation" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="greencoregroupplc_GroupOperatingProfitLossBeforeAcquisitionRelatedAmortisation" xbrli:balance="credit" xbrli:periodType="duration" name="GroupOperatingProfitLossBeforeAcquisitionRelatedAmortisation" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="greencoregroupplc_AmortisationOfAcquisitionRelatedIntangibles" xbrli:balance="debit" xbrli:periodType="duration" name="AmortisationOfAcquisitionRelatedIntangibles" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="greencoregroupplc_FinanceIncomePreexceptional" xbrli:balance="credit" xbrli:periodType="duration" name="FinanceIncomePreexceptional" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="greencoregroupplc_FinanceCostsPreexceptional" xbrli:balance="debit" xbrli:periodType="duration" name="FinanceCostsPreexceptional" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="greencoregroupplc_ExceptionalItems" xbrli:balance="credit" xbrli:periodType="duration" name="ExceptionalItems" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="greencoregroupplc_GroupOperatingProfitBeforeExceptionalItems" xbrli:periodType="duration" name="GroupOperatingProfitBeforeExceptionalItems" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="greencoregroupplc_AdjustmentsForDepreciationAndImpairmentOfPropertyPlantAndEquipmentAndRightOfUseAssets" xbrli:balance="debit" xbrli:periodType="duration" name="AdjustmentsForDepreciationAndImpairmentOfPropertyPlantAndEquipmentAndRightOfUseAssets" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="greencoregroupplc_NetCashInflowFromOperatingActivitiesBeforeExceptionalItems" xbrli:periodType="duration" name="NetCashInflowFromOperatingActivitiesBeforeExceptionalItems" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="greencoregroupplc_CashOutflowRelatedToExceptionalItems" xbrli:balance="credit" xbrli:periodType="duration" name="CashOutflowRelatedToExceptionalItems" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="greencoregroupplc_CapitalReturnViaShareBuyBackClassifiedAsFinancingActivities" xbrli:balance="credit" xbrli:periodType="duration" name="CapitalReturnViaShareBuyBackClassifiedAsFinancingActivities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="greencoregroupplc_DrawdownOfBankBorrowingsClassifiedAsFinancingActivities" xbrli:balance="credit" xbrli:periodType="duration" name="DrawdownOfBankBorrowingsClassifiedAsFinancingActivities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="greencoregroupplc_RepaymentOfPrivatePlacementNotesClassifiedAsFinancingActivities" xbrli:balance="credit" xbrli:periodType="duration" name="RepaymentOfPrivatePlacementNotesClassifiedAsFinancingActivities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="greencoregroupplc_SettlementOfSwapsOnMaturityOfPrivatePlacementNotesClassifiedAsFinancingActivities" xbrli:balance="credit" xbrli:periodType="duration" name="SettlementOfSwapsOnMaturityOfPrivatePlacementNotesClassifiedAsFinancingActivities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="greencoregroupplc_SharesAcquiredByEmployeeBenefitTrust" xbrli:balance="debit" xbrli:periodType="duration" name="SharesAcquiredByEmployeeBenefitTrust" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="greencoregroupplc_TransferToRetainedEarningsOnGrantOfSharesToBeneficiariesOfTheEmployeeBenefitTrust" xbrli:balance="credit" xbrli:periodType="duration" name="TransferToRetainedEarningsOnGrantOfSharesToBeneficiariesOfTheEmployeeBenefitTrust" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="greencoregroupplc_CapitalReturnViaShareBuyBack" xbrli:balance="credit" xbrli:periodType="duration" name="CapitalReturnViaShareBuyBack" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="greencoregroupplc_OwnSharesMember" xbrli:periodType="duration" abstract="true" name="OwnSharesMember" nillable="true" substitutionGroup="xbrli:item" type="dtr-types:domainItemType" />
  <xs:element id="greencoregroupplc_UndenominatedCapitalReserveMember" xbrli:periodType="duration" abstract="true" name="UndenominatedCapitalReserveMember" nillable="true" substitutionGroup="xbrli:item" type="dtr-types:domainItemType" />
  <xs:element id="greencoregroupplc_SharesAcquiredByEmployeeBenefitTrustRecognisedInOtherReserves" xbrli:balance="debit" xbrli:periodType="duration" name="SharesAcquiredByEmployeeBenefitTrustRecognisedInOtherReserves" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="greencoregroupplc_NominalValueOfSharesTransferredToTheBeneficiariesOfTheAnnualBonusPlanAndThePerformanceSharePlan" xbrli:balance="credit" xbrli:periodType="duration" name="NominalValueOfSharesTransferredToTheBeneficiariesOfTheAnnualBonusPlanAndThePerformanceSharePlan" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="greencoregroupplc_CostOfSharesTransferredToTheBeneficiariesOfTheAnnualBonusPlanAndThePerformanceSharePlan" xbrli:balance="debit" xbrli:periodType="duration" name="CostOfSharesTransferredToTheBeneficiariesOfTheAnnualBonusPlanAndThePerformanceSharePlan" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="greencoregroupplc_DisclosureOfExceptionalItems" xbrli:periodType="duration" name="DisclosureOfExceptionalItems" nillable="true" substitutionGroup="xbrli:item" type="dtr-types:textBlockItemType" />
  <xs:element id="greencoregroupplc_DisclosureOfWorkingCapitalMovement" xbrli:periodType="duration" name="DisclosureOfWorkingCapitalMovement" nillable="true" substitutionGroup="xbrli:item" type="dtr-types:textBlockItemType" />
  <xs:element id="greencoregroupplc_DisclosureOfDisposalOfUndertakings" xbrli:periodType="duration" name="DisclosureOfDisposalOfUndertakings" nillable="true" substitutionGroup="xbrli:item" type="dtr-types:textBlockItemType" />
</xs:schema>